This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 173349 - ips driver shipped in kernel is older than required by IBM for support
ips driver shipped in kernel is older than required by IBM for support
Status: CLOSED WONTFIX
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
http://www-1.ibm.com/support/docview....
:
Depends On: 168576
Blocks:
  Show dependency treegraph
 
Reported: 2005-11-16 10:15 EST by Eric Jacobsen
Modified: 2012-06-20 12:57 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-20 12:57:04 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Eric Jacobsen 2005-11-16 10:15:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.7.12) Gecko/20050915 Firefox/1.0.7

Description of problem:
During recent problems with an IBM ServeRAID controller we were advised by IBM that we needed the latest driver, 7.12.07.  The driver is available at: 

http://www-1.ibm.com/support/docview.wss?uid=psg1MIGR-60624

IBM has informed us that we need to upgrade our systems to this level to receive support.  It would be nice if the stock kernel contained this version.

Version-Release number of selected component (if applicable):
kernel-2.6.9-22.0.1.EL

How reproducible:
Always

Steps to Reproduce:
1. Install kernel.
2. Look at version number in ips.c / ips.h
3.
  

Additional info:
Comment 1 Matthew Miller 2005-11-16 15:36:44 EST
FWIW, the RHEL4 U2 kernel mentioned above appears to have 7.10.18, while 2.6.14
has 7.12.02.

From what I remember of what Eric told me, IBM would be satisfied with any
7.12.x version, but of course recommend the very latest. Eric, is that correct?
Comment 2 Eric Jacobsen 2005-11-16 15:42:43 EST
All current ServeRAID hardware is supported by the current (7.10) driver but IBM
 told us: "IBM would recommend the latest version be used - 7.12.02".  In our
specific case, we were running a version even older than that and they required
that we upgrade prior to getting support for our problem.  I think they would do
the same if I called them now with a problem and was using 7.10, but they won't
answer that question any more directly than the above quotation in writing.
Comment 3 Eric Jacobsen 2005-11-16 15:44:26 EST
Matt is going to pick on my word choice above.  By "All current ServeRAID
hardware is supported by the current (7.10) driver", I mean that all currently
shipping hardware will boot and be recognized by the 7.10 driver.  IBM's support
of the driver is entirely separate.
Comment 4 Matthew Miller 2005-11-16 15:48:07 EST
Pick on word choice, me? :)

Also, as may be deduced from the fact that we're filing a bug referencing IBM's
hardware support rather than calling *Red Hat* for support, we're using a
source-rebuild distribution, not commercial RHEL4. But nonetheless, we thought
it useful to report this because it may avert significant trouble with other
customers.
Comment 5 Tom Coughlan 2005-11-16 16:05:35 EST
> we thought it useful to report this because it may avert significant 
> trouble with other customers.

Thanks. We are working with IBM to update ips in RHEL 4. This does involve some
effort to ensure compatibility with the RHEL 4 2.6.9 kernel. Unfortunatelty, it
does not look like this will be done in time for U3. 

Comment 6 Jiri Pallich 2012-06-20 12:57:04 EDT
Thank you for submitting this issue for consideration in Red Hat Enterprise Linux. The release for which you requested us to review is now End of Life. 
Please See https://access.redhat.com/support/policy/updates/errata/

If you would like Red Hat to re-consider your feature request for an active release, please re-open the request via appropriate support channels and provide additional supporting details about the importance of this issue.

Note You need to log in before you can comment on or make changes to this bug.